function DATAinsert = cellMaker3DCrL(IDcentralina,DTcatena,NodeNum,c3DCrL,ListaDate,...
    ARRAYdate_3DCrL,Dati3DCrack,DatiNTCCrack3D,Err3DCrackLink,...
    Ch3DCrL,CrL3D_NTC,cont3DCrL)

DATAinsert = cell(ListaDate,10);
for ii=1:ListaDate
    DATAinsert{ii,1} = IDcentralina;
    DATAinsert{ii,2} = DTcatena;
    DATAinsert{ii,3} = NodeNum;
    DATAinsert{ii,4} = datestr(ARRAYdate_3DCrL(ii),'yyyy-mm-dd');
    DATAinsert{ii,5} = datestr(ARRAYdate_3DCrL(ii),'HH:MM:SS');
    DATAinsert{ii,6} = Dati3DCrack(ii,c3DCrL);
    DATAinsert{ii,7} = Dati3DCrack(ii,c3DCrL+1);
    DATAinsert{ii,8} = Dati3DCrack(ii,c3DCrL+2);
    if Ch3DCrL(cont3DCrL) >= 4
        if CrL3D_NTC(cont3DCrL) == 1
            DATAinsert{ii,9} = DatiNTCCrack3D(ii,cont3DCrL);
        end
    end     
    DATAinsert{ii,10} = Err3DCrackLink(ii,cont3DCrL);
end

end
